Subject: Re: [PATCH net-next] net: ethtool: allow MAC drivers to override ethtool get_ts_info

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 21 Jan 2021 10:27:38 +0000

On Wed, Jan 20, 2021 at 08:04:51PM -0800, Richard Cochran wrote:
> On Thu, Jan 14, 2021 at 10:38:00PM +0000, Russell King - ARM Linux admin wrote:
> 
> > So, I think the only way to prevent a regression with the code as
> > it is today is that we _never_ support PTP on Marvell PHYs - because
> > doing so _will_ break the existing MVPP2 driver's implementation and
> > cause a regression.
> 
> The situation isn't as bad as it seems.
> 
> For one thing, mvpp2 incorrectly selects NETWORK_PHY_TIMESTAMPING.
> It really shouldn't.  I'm submitting a fix soon.
> 
> As long as the new PHY driver (or at least the PTP bit) depends on
> NETWORK_PHY_TIMESTAMPING, then that allows users who _really_ want
> that to enable the option at compile time.  This option adds extra
> checks into the networking hot path, and almost everyone should avoid
> enabling it.

As I already explained to you, you can *NOT* use kernel configuration
to make the choice.  ARM is a multi-platform kernel, and we will not
stand for platform choices dictated by kernel configuration options.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!